=== debian/changelog ===
xournalpp (1.2.1-1) unstable; urgency=medium

  [ rolandlo ]
  * New upstream version:
    - Added a default toolbar so that the app does not start without toolbar on
      new installations
    - Fixed some crashes and various issues with the crash log handling
    - Added options to the command line and preferences to disable the audio
      system used for audio recording
    - The official release builds are now all built with gtksourceview styling
      for the LaTeX tool and in "RelWithDeb" mode. Thus failing asserts do not
      result in a crash anymore.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Aug 2023 10:04:33 +0100
