## xournalpp 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,15 @@
 ## The CMAKE_OSX_DEPLOYMENT_TARGET must be set before project(), so don't move the following line further down.
 set(CMAKE_OSX_DEPLOYMENT_TARGET "10.15" CACHE STRING "Minimum OS X deployment version" FORCE)
 
+if(NOT CMAKE_BUILD_TYPE) 
+    # set default build type to RelWithDebInfo, we never supported multi config generators, therefore this is fine
+    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
+endif()
+
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.1
+        VERSION 1.2.2
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
@@ -331,7 +336,3 @@
     install(FILES ui/pixmaps/com.github.xournalpp.xournalpp.svg
             DESTINATION share/icons/hicolor/scalable/apps)
     install(FILES ui/pixmaps/application-x-xopp.svg
-            DESTINATION share/icons/hicolor/scalable/mimetypes/)
-    install(FILES ui/pixmaps/application-x-xopt.svg
-            DESTINATION share/icons/hicolor/scalable/mimetypes/)
-    install(FILES ui/pixmaps/application-x-xojpp.svg
