=== debian/changelog ===
xournalpp (1.2.2-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:20 +1100

xournalpp (1.2.2-2build2) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:39:10 +1300

xournalpp (1.2.2-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:17:21 +0000

xournalpp (1.2.2-2) unstable; urgency=medium

  * Build-depend on lsb-release as the build system tries to call lsb_release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Oct 2023 10:42:52 +0100

xournalpp (1.2.2-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New upstream version:
    - Fixed various memory leaks and segmentation faults
    - Fixed some issues with input sequences mixing up devices and buttons
    - Fixed LaTeX tool failing to open some PDF files
    - Fixed audio output device selection

  [ Barak A. Pearlmutter ]
  * Switch from liblua5.3 to liblua5.4

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Oct 2023 12:19:06 +0100
