=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xournalpp
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: x11
 Priority: optional
@@ -7,8 +8,9 @@
 Build-Depends: debhelper-compat (= 13), cmake,
 	libcppunit-dev,
 	help2man,
+	lsb-release,
 	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
-	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.3-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
+	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.4-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
 Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
@@ -17,8 +19,8 @@
 Package: xournalpp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: lua-lgi, dvipng
 Suggests: texlive-base, texlive-latex-extra
-Recommends: lua-lgi
 Description: Xournal++ - Open source hand note-taking program
  Xournal++ is a hand note-taking software written in C++ with the target of
  flexibility, functionality and speed. Stroke recognizer and other parts are
