## xournalpp 1.2.3

=== debian/changelog ===
xournalpp (1.2.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make Recommends explicit for MX packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Sep 2024 08:00:58 -0700

xournalpp (1.2.3-1) unstable; urgency=medium

  [ Roland Lötscher ]
  * New Upstream Version
    - Fixed background color and truncated text in LaTeX tool
    - Fixed zoom jumping and zoom steps
    - Fixed various segfaults and rendering issues
    - Fixed pressure values and project URL when saving documents
    - Enabled font hint metrics in PDF export to improve text alignment

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 07 Mar 2024 09:18:23 +0000
