## xournalpp 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ## The CMAKE_OSX_DEPLOYMENT_TARGET must be set before project(), so don't move the following line further down.
 set(CMAKE_OSX_DEPLOYMENT_TARGET "10.15" CACHE STRING "Minimum OS X deployment version" FORCE)
 
-if(NOT CMAKE_BUILD_TYPE) 
+if(NOT CMAKE_BUILD_TYPE)
     # set default build type to RelWithDebInfo, we never supported multi config generators, therefore this is fine
     set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
 endif()
@@ -11,7 +11,7 @@
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.2
+        VERSION 1.2.4
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
@@ -121,23 +121,6 @@
 
 pkg_check_modules(ExternalModules REQUIRED IMPORTED_TARGET ${pkg-module-spec})
 
-if (#[[${CMAKE_VERSION} VERSION_LESS "3.18" AND]] ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-    # bugfix for old pkg_config versions
-    get_target_property(libs PkgConfig::ExternalModules INTERFACE_LINK_LIBRARIES)
-    # message(STATUS "PkgConfig::ExternalModules::INTERFACE_LINK_LIBRARIES: ${libs}")
-    string(REPLACE "-framework;" "-framework " libs "${libs}")
-    # message(STATUS "PkgConfig::ExternalModules::INTERFACE_LINK_LIBRARIES fixed: ${libs}")
-    set_target_properties(PkgConfig::ExternalModules PROPERTIES INTERFACE_LINK_LIBRARIES "${libs}")
-
-
-    if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.13")
-        # fix broken framework flags from pkgconfig
-        get_target_property(opts PkgConfig::ExternalModules INTERFACE_LINK_OPTIONS)
-        string(REPLACE "-framework;" "SHELL:-framework " opts "${opts}")
-        set_target_properties(PkgConfig::ExternalModules PROPERTIES INTERFACE_LINK_OPTIONS "${opts}")
-    endif ()
-endif ()
-
 find_package(ZLIB REQUIRED)
 find_package(Threads REQUIRED)
 
@@ -336,3 +319,18 @@
     install(FILES ui/pixmaps/com.github.xournalpp.xournalpp.svg
             DESTINATION share/icons/hicolor/scalable/apps)
     install(FILES ui/pixmaps/application-x-xopp.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/application-x-xopt.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/application-x-xojpp.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/gnome-mime-application-x-xopp.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/gnome-mime-application-x-xopt.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES desktop/com.github.xournalpp.xournalpp.xml
+            DESTINATION share/mime/packages)
+    install(FILES desktop/com.github.xournalpp.xournalpp.desktop
+            DESTINATION share/applications)
+    install(FILES desktop/com.github.xournalpp.xournalpp.thumbnailer
+            DESTINATION share/thumbnailers)
