=== debian/control ===
--- 
+++ 
@@ -1,24 +1,15 @@
 Source: xournalpp
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.6.2
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               help2man,
-               libcppunit-dev,
-               libgtk-3-dev,
-               libgtksourceview-4-dev,
-               liblua5.4-dev,
-               libpoppler-glib-dev,
-               librsvg2-dev,
-               libsndfile1-dev | libsndfile-dev,
-               libxml2-dev,
-               libzip-dev,
-               lsb-release,
-               portaudio19-dev
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake,
+	libcppunit-dev,
+	help2man,
+	lsb-release,
+	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
+	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.4-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
 Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
@@ -26,9 +17,8 @@
 
 Package: xournalpp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         dvipng, lua-lgi
-# Recommends: dvipng, lua-lgi
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: lua-lgi, dvipng
 Suggests: texlive-base, texlive-latex-extra
 Description: Xournal++ - Open source hand note-taking program
  Xournal++ is a hand note-taking software written in C++ with the target of
