## xournalpp 1.2.5

=== debian/changelog ===
xournalpp (1.2.5-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New Upstream Version
    - Fixed regressions when exporting to PDF
    - Fixed crash when importing some SVG files
    - Have geometry tools appear in the middle of the view
    - Fixed issues with Windows installer
    - Fixed missing translations on Windows

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Dec 2024 11:51:39 +0000
