## xournalpp 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.4
+        VERSION 1.2.6
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
@@ -52,6 +52,16 @@
 
 include(TargetArch)
 target_architecture(PACKAGE_ARCH)
+
+
+## I18n ##
+add_subdirectory(po)
+option (ONLY_CONFIGURE_FOR_TARGET_POT "Only configure the pot target" OFF)
+if (ONLY_CONFIGURE_FOR_TARGET_POT)
+    # We dont need anything else for just generating the .pot file.
+    # This avoids having to install all the dependencies in the CI runs updating the translation files
+    return()
+endif ()
 
 configure_file(cmake/VERSION.in VERSION)
 
@@ -103,6 +113,9 @@
 list(APPEND pkg-module-spec "glib-2.0 >= 2.32.0")
 list(APPEND pkg-module-spec "gtk+-3.0 >= 3.18.9")
 list(APPEND pkg-module-spec "poppler-glib >= 0.41.0")
+if (APPLE)
+  list(APPEND pkg-module-spec "poppler-cpp >= 0.41.0")
+endif (APPLE)
 list(APPEND pkg-module-spec "gthread-2.0 >= 2.4.0")
 list(APPEND pkg-module-spec "libxml-2.0 >= 2.0.0")
 list(APPEND pkg-module-spec "libzip >= 1.0.1")
@@ -202,9 +215,6 @@
         src/filesystem.h
 )
 
-## I18n ##
-add_subdirectory(po)
-
 ## Configuration headers and development options ##
 
 # Development options
@@ -328,9 +338,3 @@
             DESTINATION share/icons/hicolor/scalable/mimetypes/)
     install(FILES ui/pixmaps/gnome-mime-application-x-xopt.svg
             DESTINATION share/icons/hicolor/scalable/mimetypes/)
-    install(FILES desktop/com.github.xournalpp.xournalpp.xml
-            DESTINATION share/mime/packages)
-    install(FILES desktop/com.github.xournalpp.xournalpp.desktop
-            DESTINATION share/applications)
-    install(FILES desktop/com.github.xournalpp.xournalpp.thumbnailer
-            DESTINATION share/thumbnailers)
