=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
 	help2man,
 	lsb-release,
 	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
-	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.4-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
+	portaudio19-dev, libsndfile1-dev | libsndfile-dev,
+	liblua5.4-dev,
+	libzip-dev, librsvg2-dev, libgtksourceview-4-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
 Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
