## xournalpp 1.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.6
+        VERSION 1.2.7
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
