=== debian/changelog ===
xournalpp (1.2.7-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:03:49 +0200

xournalpp (1.2.7-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New Upstream Version
    - Improved error logs
    - Fixed some undefined behaviours and memory leaks
    - Fixed handling of linebreaks in latex tool
    - Linux: forward crash signals to system handler after emergency save
    - Fixed wrong glyph spacing in texts using small fonts
    - Fixed rasterization of Tex elements on PDF/SVG export or printing

  [ Barak A. Pearlmutter ]
  * Update standards version to 4.7.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 11 May 2025 11:53:43 +0100
